<?php 

class DaoEmpresa extends ConexaoMenu {

public function Atualizar(empresa $empresa) {

try {

if ($empresa->getEmp_cd() != '') {

$sql = " UPDATE empresa SET
emp_nm = ?,
emp_cnpj = ?,
emp_im = ?,
emp_ie = ?,
emp_email = ?,
emp_endereco = ?,
emp_numero = ?,
emp_bairro = ?,
emp_cidade = ?,
emp_uf = ?,
emp_contato = ?,
emp_telefone = ?,
emp_celular = ?,
emp_obs = ?,
emp_vl_comissaoA = ?,
emp_vl_comissaoB = ?,
emp_qtd_ven_aberta = ?,
emp_host = ?,
emp_porta = ?,
emp_email_host = ?,
emp_senha = ?,
emp_conexao_segura = ?,
emp_mensagem_email = ?,
emp_cep = ?,
emp_imagem = ?
WHERE emp_cd = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $empresa->getEmp_nm());
$stmt->bindValue(2, $empresa->getEmp_cnpj());
$stmt->bindValue(3, $empresa->getEmp_im());
$stmt->bindValue(4, $empresa->getEmp_ie());
$stmt->bindValue(5, $empresa->getEmp_email());
$stmt->bindValue(6, $empresa->getEmp_endereco());
$stmt->bindValue(7, $empresa->getEmp_numero());
$stmt->bindValue(8, $empresa->getEmp_bairro());
$stmt->bindValue(9, $empresa->getEmp_cidade());
$stmt->bindValue(10, $empresa->getEmp_uf());
$stmt->bindValue(11, $empresa->getEmp_contato());
$stmt->bindValue(12, $empresa->getEmp_telefone());
$stmt->bindValue(13, $empresa->getEmp_celular());
$stmt->bindValue(14, $empresa->getEmp_obs());
$stmt->bindValue(15, $empresa->getEmp_vl_comissaoA());
$stmt->bindValue(16, $empresa->getEmp_vl_comissaoB());
$stmt->bindValue(17, $empresa->getEmp_qtd_ven_aberta());
$stmt->bindValue(18, $empresa->getEmp_host());
$stmt->bindValue(19, $empresa->getEmp_porta());
$stmt->bindValue(20, $empresa->getEmp_email_host());
$stmt->bindValue(21, $empresa->getEmp_senha());
$stmt->bindValue(22, $empresa->getEmp_conexao_segura());
$stmt->bindValue(23, $empresa->getEmp_mensagem_email());
$stmt->bindValue(24, $empresa->getEmp_cep());
$stmt->bindValue(25, $empresa->getEmp_imagem());
$stmt->bindValue(26, $empresa->getEmp_cd());


} else {

$sql = " INSERT INTO empresa (emp_nm,emp_cnpj,emp_im,emp_ie,emp_email,emp_endereco,emp_numero,emp_bairro,emp_cidade,emp_uf,emp_contato,emp_telefone,emp_celular,emp_obs,emp_vl_comissaoA,emp_vl_comissaoB,emp_qtd_ven_aberta,emp_host,emp_porta,emp_email_host,emp_senha,emp_conexao_segura,emp_mensagem_email,emp_cep,emp_imagem)
VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $empresa->getEmp_nm());
$stmt->bindValue(2, $empresa->getEmp_cnpj());
$stmt->bindValue(3, $empresa->getEmp_im());
$stmt->bindValue(4, $empresa->getEmp_ie());
$stmt->bindValue(5, $empresa->getEmp_email());
$stmt->bindValue(6, $empresa->getEmp_endereco());
$stmt->bindValue(7, $empresa->getEmp_numero());
$stmt->bindValue(8, $empresa->getEmp_bairro());
$stmt->bindValue(9, $empresa->getEmp_cidade());
$stmt->bindValue(10, $empresa->getEmp_uf());
$stmt->bindValue(11, $empresa->getEmp_contato());
$stmt->bindValue(12, $empresa->getEmp_telefone());
$stmt->bindValue(13, $empresa->getEmp_celular());
$stmt->bindValue(14, $empresa->getEmp_obs());
$stmt->bindValue(15, $empresa->getEmp_vl_comissaoA());
$stmt->bindValue(16, $empresa->getEmp_vl_comissaoB());
$stmt->bindValue(17, $empresa->getEmp_qtd_ven_aberta());
$stmt->bindValue(18, $empresa->getEmp_host());
$stmt->bindValue(19, $empresa->getEmp_porta());
$stmt->bindValue(20, $empresa->getEmp_email_host());
$stmt->bindValue(21, $empresa->getEmp_senha());
$stmt->bindValue(22, $empresa->getEmp_conexao_segura());
$stmt->bindValue(23, $empresa->getEmp_mensagem_email());
$stmt->bindValue(24, $empresa->getEmp_cep());
$stmt->bindValue(25, $empresa->getEmp_imagem());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function PesquisarEmpresa($codigo){
$sql = " SELECT * FROM empresa WHERE emp_cd = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function ListarEmpresa(){
$sql = " SELECT * FROM empresa ORDER BY emp_cd ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}


public function ProximoId(){
$sql = " SELECT COALESCE(MAX(emp_cd), 0) + 1 AS PROXIMO_REGISTRO FROM empresa ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

	
public function deletar($emp_cd){		
$sql = " DELETE FROM empresa WHERE emp_cd = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $emp_cd); 
$stmt->execute();
}

 
}
